## mythtv 0.20

=== libs/libmythtv/hdhomerun/Makefile ===

HDHOMERUN_CONFIG_SRCS += hdhomerun_pkt.c
HDHOMERUN_CONFIG_SRCS += hdhomerun_discover.c
HDHOMERUN_CONFIG_SRCS += hdhomerun_control.c
HDHOMERUN_CONFIG_SRCS += hdhomerun_config.c

CFLAGS += -Wall -O2

hdhomerun_config : $(HDHOMERUN_CONFIG_SRCS)
	gcc $(CFLAGS) $(HDHOMERUN_CONFIG_SRCS) -o hdhomerun_config
	strip hdhomerun_config

clean :
	rm -f hdhomerun_config

## mythtv 0.20.2

=== libs/libmythtv/hdhomerun/Makefile ===

SRCS += hdhomerun_pkt.c
SRCS += hdhomerun_discover.c
SRCS += hdhomerun_control.c
SRCS += hdhomerun_config.c

CFLAGS += -Wall -O2

hdhomerun_config : $(SRCS)
	gcc $(CFLAGS) $(SRCS) -o $@
	strip $@

hdhomerun_config.exe : $(SRCS)
	gcc $(CFLAGS) $(SRCS) -liphlpapi -o $@
	strip $@

clean :
	rm -f hdhomerun_config
	rm -f hdhomerun_config.exe

## mythtv 0.21.0+fixes16838

=== Makefile ===
CC = cc
CFLAGS = -Wall
PREFIX = /usr/local
MANPATH = ${PREFIX}/man/man1
BINPATH = ${PREFIX}/bin

all: channel.1 channel

version.h: VERSION
	echo "/* This file was automatically generated. */" >version.h
	echo "#define VERSION \"`cat VERSION` (`date +%Y-%m-%d`)\"" >>version.h

channel.o: crc.h serial.h packet.h debug.h remote.h opt.h version.h

crc.o: crc.h 

opt.o: opt.h

packet.o: crc.h serial.h packet.h debug.h

serial.o: crc.h serial.h debug.h

channel: channel.o crc.o opt.o packet.o serial.o

channel.1: channel.c version.h
	make channel
	if ! help2man -N --output=channel.1 ./channel ; then \
		echo "No manual page available." > channel.1 ; fi

install: channel.1 channel
	install -m 0755 channel ${BINPATH}
	install -m 0644 channel.1 ${MANPATH}

uninstall:
	rm -f ${BINPATH}/channel ${MANPATH}/channel.1

PACKAGE=dct-channel-`cat VERSION`
dist: channel.1 version.h
	mkdir -p ${PACKAGE}
	cp [A-Z]* *.[ch1] ${PACKAGE}
	tar cvzf ${PACKAGE}.tar.gz ${PACKAGE}
	rm -r ${PACKAGE}

clean distclean:
	rm -f *.o channel core

veryclean: clean
	rm -f channel.1

=== contrib/mythnotify/cidbcast/Makefile ===
#################################################################################
#  
#  makefile
#
#################################################################################

CC       =  gcc
LINK     =  gcc
RM       =  rm 
RM_FLAGS =  -f

CFLAGS  	= -g -Wall -O
CDEFS   	= -DDEBUG

# Libraries

STDLIBS    = -lm
X11LIBS    =  -L/usr/X11R6/lib -lX11
PROGRAM    = cidbcast

#################################################################################

.SUFFIXES: .o .c .flex
.c.o:   ;       $(CC)  $(CFLAGS) $(CDEFS) -c $< -o $*.o

cidbcast: cidbcast.o
	$(LINK) -o cidbcast cidbcast.o $(STDLIBS)

#################################################################################

clean:
	$(RM) $(RM_FLAGS) $(PROGRAM) *.o *~ core

#################################################################################

=== libs/libmythtv/hdhomerun/Makefile ===

SRCS += hdhomerun_pkt.c
SRCS += hdhomerun_discover.c
SRCS += hdhomerun_control.c
SRCS += hdhomerun_video.c
SRCS += hdhomerun_device.c
SRCS += hdhomerun_config.c

CFLAGS += -Wall -O2 -Wmissing-declarations -Wmissing-prototypes -Wstrict-prototypes -Wpointer-arith

hdhomerun_config : $(SRCS)
	gcc $(CFLAGS) $(SRCS) -lpthread -o $@
	strip $@

hdhomerun_config.exe : $(SRCS)
	gcc $(CFLAGS) $(SRCS) -lpthread -liphlpapi -o $@
	strip $@

clean :
	rm -f hdhomerun_config
	rm -f hdhomerun_config.exe

## mythtv 0.23.0+fixes24158

=== debian/changelog ===
mythtv (0.23.0+fixes24158-0ubuntu2) lucid; urgency=low

  * debian/patches/proper_shutdown_behavior_for_ubuntu.patch: 
    - Drop support for a configurable shutdown or reboot command in the GUI
    - Only use DBUS for shutdown and halt

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Fri, 23 Apr 2010 10:56:00 -0500

mythtv (0.23.0+fixes24158-0ubuntu1) lucid; urgency=low
  
  * New upstream snapshot (r24158)
    - work around XMLtv bug causing obscenely poor response.
  * debian/control: Build-Depend on libmysqlclient16-dev, as previous 
    depends are being removed from the archive. (LP: #563053)

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Fri, 16 Apr 2010 16:47:24 +0100

mythtv (0.23.0+fixes24133-0ubuntu1) lucid; urgency=low

  [ Dave Walker (Daviey) ]
  * New upstream snapshot (r24133)
    - Fixes crash of mythfrontend when upconverting audio to 5.1 (LP: #550562)
    - Improve Jamu handling of invalid database data (LP: #549352)
    - Remove mythtranscode's internal copy of the slow-delete code and instead 
      send a request to the backend to delete the file. (LP: #481104)
    - LiveTV & recording with V4L cards on 64-bit backend fixed. (LP: #562690)
  * debian/mcc-mirobridge/*: New icon, UI alignment changes and description 
    text added.  Courtesy of R. Doug Vaughan.
  * debian/rules: Added cxx option "-maltivec" to PowerPC specifc configure 
    option to fix FTBFS for that architecture. (LP: #559614)

  [ Mario Limonciello ]  
  * 40_libudev.path:
    - Add -ludev to the library check.
  * debian/control:
    - Drop linux-libc-dev build-dep.
  * Actually disable halt and reboot commands by default.

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Thu, 15 Apr 2010 00:04:14 +0100

mythtv (0.23.0+fixes23820-0ubuntu1) lucid; urgency=low

  * New upstream snapshot (r23820)
  * debian/patches/40_libudev.patch: Use libudev to get the information
    instead of calling udevinfo which has been superseded by udevadm,
    which is not compatiable.  (LP: #479509)
  * debian/control: Added Build-Depends of libudev-dev, linux-libc-dev
    to satisfy 40_libudev.patch.
  * debian/mcc-mirobridge/, debian/mythtv-backend.install:
    Install the Mythbuntu-Control-Centre plugin for mirobridge
    if mythtv-backend is installed. (LP: #520731)
  * Refreshed patches.
  * debian/changelog: Fixed old entry that had a non-valid email address
    causing lintian errors.

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Sat, 27 Mar 2010 19:18:15 +0000

mythtv (0.23.0+fixes23789-0ubuntu2) lucid; urgency=low

  * debian/rules:
    - Compile-type=debug for better debugging purposes.

 -- Mario Limonciello <superm1@ubuntu.com>  Thu, 25 Mar 2010 23:22:48 -0500

mythtv (0.23.0+fixes23789-0ubuntu1) lucid; urgency=low

  [ Jamie Bennett ]
  * Fix FTBFS on armel (LP: #537714)

  [ Mario Limonciello ]
  * mythtv-{common,backend}.{config,templates,postinst}: (LP: #483748)
    - Simplify debconf questions by avoiding showing the generated pw
    - Don't warn about mythtv group.
    - Don't notify about running mythtv-setup.  This is optional (but
      of course encouraged!)
  * Set version to include a "+" delimitter.
  * Restore libfaad-dev dependency. (LP: #546552)

  [ Dave Walker (Daviey) ]
  * New snapshot (r23789), based from 0.23-fixes.
  * debian/control:
    - mythtv-frontend set to Conflict with mythflix, as it's dropped
      upstream. (LP: #544521)
    - Remove unnecessary and potentially problematic use of Pre-Depends.
    - Set the debug package to Priority extra.
    - Change *-perl Section's from libs to perl
    - add ${shlibs:Depends} for mythtv-common Depends field
    - Minor spelling fix.
    - Fixes the long description for one of the packages, ensuring the
      description doesn't exceed 80 characters.
    - Vcs-* set to -fixes, rather than -trunk.
  * debian/rules:
    - Use debconf-updatepo to update translations when required
    - Ensure license files are not included in the binary packages, except 
      for debian/copyright.
    - Fixes the permissions of certain files in the packaging.
  * debian/copyright:
    - updated to reflect that mythtv is GPL-2 only.
    - inserted better licence statement and Copyright reference.
  * debian/mythtv-*.templates
    - Simplified strings; removed verbosity and improved readability.
  * Prevent the maintainer scripts from failing in case any questions 
    can't be displayed.
  * Added holding debian/mythtv-frontend.config, mainly to appease lintian.
  * debian/mythtv-frontend.menu: Changed section to Applications/Graphics.
  * debian/mythtv-backend.postinst: Load debconf libraries.
  * debian/source.lintian-overrides: Removes the unecessary override of the 
    binNMU warnings.
  * Fix perl binding installation.

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Tue, 23 Mar 2010 19:32:33 +0000

mythtv (0.23.0~trunk23623-0ubuntu1) lucid; urgency=low

  [ Dave Walker ]
  * debian/control:  Added quilt as a build-depends, primarily
    for karmic builds.

  [ Mario Limonciello ]
  * New checkout (r23623).
    - Fixes audio issues w/ ac3 audio.
  * debian/patches/36_setgroups_too:
    - Set the right args for setgroups. (LP: #524822)
  * debian/rules:
    - Explicitly set all shell scripts executable.  Fixes problems on < lucid
      builds.
  * debian/control:
    - Correct the replaces statements. (LP: #527288)

 -- Mario Limonciello <superm1@ubuntu.com>  Sat, 27 Feb 2010 14:33:45 -0600

mythtv (0.23.0~trunk23567-0ubuntu4) lucid; urgency=low

  [ Mario Limonciello ]
  * debian/control:
    - Build-depends on libxrandr-dev for xrandr support.
    - Restore Build-depends on libfftw3-dev (not really a top secret option)
  * debian/source_mythtv.py:
    - Don't use bool, apport doesn't like them.
  * debian/patches/36_setgroups_too:
    - Run setgroups() before setgid/setuid (LP: #524822)

  [ Andres Mejia ]
  * Refresh all patches. Use '-p ab' format with no index or timestamps.
  * Add comment for each patch.


=== debian/control ===
Source: mythtv
Section: graphics
Priority: optional
Maintainer: MythTV Ubuntu Maintainers <ubuntu-mythtv@lists.ubuntu.com>
Uploaders: Mario Limonciello <superm1@ubuntu.com>,
           Andres Mejia <mcitadel@gmail.com>,
Homepage: http://www.mythtv.org
Standards-Version: 3.8.4
Vcs-Bzr: bzr+ssh://bazaar.launchpad.net/~mythbuntu/mythtv/mythtv-fixes
Vcs-Browser: http://bazaar.launchpad.net/~mythbuntu/mythtv/mythtv-fixes
Build-Conflicts: libqt3-mt-dev
Build-Depends:  debhelper (>= 7.0.50~),
                quilt,
                ccache,
                yasm,
                libqt4-dev,
                libqt4-opengl-dev,
                libdvb-dev,
                po-debconf,
                texi2html,
                python-central,
                linux-kernel-headers,
                libdvdnav-dev,
                libfreetype6-dev,
                libavc1394-dev,
                libiec61883-dev (>= 1.0.0),
                liblircclient-dev,
                libxinerama-dev | xlibs-static-dev (<< 6.8.1-1),
                libxxf86vm-dev | xlibs-static-dev (<< 6.8.1-1),
                libmysqlclient16-dev,
                libxvmc-dev | xlibs-static-dev (<< 6.8.1-1),
                libxext-dev | xlibs-static-dev (<< 6.8.1-1),
                libimlib2-dev,
                libasound2-dev,
                libjack0.100.0-dev | libjack-dev,
                libmp3lame-dev | liblame-dev,
                libvorbis-dev,
                libdts-dev,
                lsb-release,
                libpulse-dev,
                libxrandr-dev,
                libfftw3-dev,
                libfaad-dev,
                xserver-xorg-video-openchrome [i386 amd64] | libchromexvmc1 [i386 amd64],
                xserver-xorg-video-openchrome [i386 amd64] | libchromexvmcpro1 [i386 amd64],
                libvdpau-dev [i386 amd64 armel] | nvidia-190-libvdpau-dev [i386 amd64] | nvidia-185-libvdpau-dev [i386 amd64] | nvidia-180-libvdpau-dev [i386 amd64],
                libudev-dev

Package: mythtv
Architecture: all
Depends: mysql-server, mythtv-database, mythtv-frontend, mythtv-backend, ntp | time-daemon | ntp-simple, ${misc:Depends}
Recommends: mythtv-themes
Suggests: mythtv-doc
Description: A personal video recorder application (client and server)
 MythTV implements the following PVR features, and more, with a
 unified graphical interface:
 .
  - Basic 'live-tv' functionality. Pause/Fast Forward/Rewind "live" TV.
  - Video compression using RTjpeg or MPEG-4
  - Program listing retrieval using XMLTV
  - Themable, semi-transparent on-screen display
  - Electronic program guide
  - Scheduled recording of TV programs
  - Resolution of conflicts between scheduled recordings
  - Basic video editing
 .
 http://www.mythtv.org/
 .
 This package will install a complete MythTV client/server environment on a
 single system.  If you are intended on using this as your only MythTV machine,
 and this machine is already configured as a desktop, this package will get you
 up and running switfly.
 .
 If you are intended on installing this on a standalone/non-desktop machine,
 you should look into the metapackages available:
 mythtv-backend-master (backend with a local database)
 mythtv-backend (backend needing a remote database)

Package: mythtv-common
Architecture: any
Depends: pwgen, adduser, mysql-client, ttf-freefont, ttf-liberation, ttf-droid, ttf-dejavu, ${shlibs:Depends}, ${misc:Depends}
Suggests: mythtv-doc
Conflicts: mythtv (<< 0.8-1), mythmusic (<< 0.20.99+trunk14393), mythweather (<< 0.20.99+trunk14393), mythcontrols, mythtv-theme-mythcenter, mythtv-theme-mythcenter-wide, mythtv-theme-gray-osd, mythtv-theme-isthmus
Replaces: mythtv (<< 0.8-1), mythtv-frontend (<< 0.23.0~trunk23548), mythmusic (<< 0.20.99+trunk14393), mythweather (<< 0.20.99+trunk14393), mythcontrols (<< 0.20.trunk19500), mythcontrols, mythtv-theme-mythcenter, mythtv-theme-mythcenter-wide, mythtv-theme-isthmus, mythtv-theme-gray-osd, mythtv-theme-mythbuntu, mythtv-backend (<< 0.23.0~trunk23549)
Description: A personal video recorder application (common data)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains infrastructure needed by both the client and the
 server.

Package: mythtv-doc
Architecture: all
Conflicts: mythtv (<< 0.8-1)
Section: doc
Replaces: mythtv (<< 0.8-1)
Depends: ${misc:Depends}
Description: A personal video recorder application (documentation)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains documentation, including the MythTV HOWTO.

Package: mythtv-database
Architecture: all
Depends: mythtv-common, libdbd-mysql-perl, mysql-client, cron, ${misc:Depends}
Recommends: update-notifier | update-notifier-kde | adept-notifier
Conflicts: mythtv (<< 0.8-1), mythtv-common (<< 0.8-2)
Replaces: mythtv (<< 0.8-1), mythtv-common (<< 0.8-2)
Description: A personal video recorder application (database)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package sets up a MySQL database for use by MythTV. It should be
 installed on the system where the MySQL server resides.

Package: mythtv-backend
Architecture: any
Depends: mythtv-common, mythtv-transcode-utils, ${shlibs:Depends}, cron, wget, zenity | kdebase-bin, gksu | kdebase-bin, libmythtv-perl, xterm, ${misc:Depends}
Conflicts: mythtv (<< 0.8-1)
Replaces: mythtv (<< 0.8-1), mythtv-frontend (<= 0.20-0.4)
Recommends: ntp | time-daemon | ntp-simple, logrotate
Suggests: mythtv-frontend, mythweb, mythtv-database, xmltv-util
Description: A personal video recorder application (server)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains only the server software, which provides video and
 audio capture and encoding services. In order to be useful, it requires a
 mythtv-frontend installation, either on the same system or one reachable
 via the network.
 .
 A database is also required. The mythtv-database package must be installed,
 either on the same system, or one reachable via the network.
 .
 For a complete installation of all MythTV components, install the 'mythtv'
 package.

Package: mythtv-transcode-utils
Architecture: any
Depends: mythtv-common, ${shlibs:Depends}, ${misc:Depends}
Conflicts: mythtv-backend (<< 0.20.2-0ubuntu1)
Replaces: mythtv-backend (<< 0.20.2-0ubuntu1)
Suggests: mythtv-backend, mytharchive
Description: Utilities used for transcoding MythTV tasks
 Some utilities are applicable for both a frontend or a backend machine.
 This package provides utilities that can be used on both without
 requiring an entire backend to be installed.

Package: mythtv-frontend
Architecture: any
Depends: mythtv-common, ${shlibs:Depends}, adduser, zenity | kdebase-bin, gksu | kdebase-bin, wmctrl, ${misc:Depends}
Suggests: mythtv-backend, mythmusic, mythweather, mythgallery, mythvideo, mythgame, ntp | time-daemon | ntp-simple
Conflicts: mythtv (<< 0.8-1), mythappearance (<< 0.21.0), mythstream (<< 0.21.0), mythflix (<< 0.23.0)
Replaces: mythtv (<< 0.8-1),  mythappearance (<< 0.21.0)
Description: A personal video recorder application (client)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains only the client software, which provides a front-end
 for playback and configuration. It requires access to a mythtv-backend
 installation, either on the same system or one reachable via the network.
 .
 A database is also required. The mythtv-database package must be installed,
 either on the same system, or one reachable via the network.
 .
 For a complete installation of all MythTV components, install the 'mythtv'
 package.

Package: libmyth-0.23-0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, libqt4-sql-mysql, ${misc:Depends}
Conflicts: mythtv (<< 0.7-5)
Replaces: mythtv (<< 0.7-5)
Description: Common library code for MythTV and add-on modules (runtime)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains a shared library, libmyth, which is used by various
 components in the system.

Package: libmyth-dev
Architecture: any
Section: libdevel
Depends: libmyth-0.23-0 (= ${binary:Version}), ${misc:Depends}
Provides: libmyth-0.23-0-dev
Conflicts: libmyth-0.23-dev
Description: Common library code for MythTV and add-on modules (development)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains files needed for developing applications which use
 libmyth (such as the various add-ons for MythTV)

Package: libmyth-perl
Architecture: all
Section: perl
Depends: libmythtv-perl, ${misc:Depends}
Description: Transitional package to move people to libmythtv-perl
 This is a dummy package to help assist people with the transition
 to the new package name for storing the mythtv perl bindings.
 .
 It can be safely removed from your system.

Package: libmythtv-perl
Architecture: all
Section: perl
Depends: ${misc:Depends}, ${perl:Depends}, libdbi-perl, libdbd-mysql-perl, libnet-upnp-perl
Replaces: mythtv-common (<< 0.20.98 ), libmyth-perl
Conflicts: mythtv-common (<< 0.20.98 ), libmyth-perl
Description: A PERL library to access some MythTV features
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains files needed for some PERL MythTV add-ons like
 nuvexport or mythrename.pl.

Package: libmyth-python
Architecture: all
Section: libs
Depends: ${python:Depends}, python-mysqldb, ${misc:Depends}
Replaces: mythtv-common (<< 0.20.98 )
Conflicts: mythtv-common (<< 0.20.98 )
Description: A python library to access some MythTV features
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains files needed for some python MythTV add-ons.


Package: mythtv-backend-master
Architecture: all
Section: metapackages
Depends: mysql-server, ntp | time-daemon | ntp-simple, mythtv-database, mythtv-backend, ${misc:Depends}
Recommends: mythweb
Description: Metapackage to setup and configure a "Master Backend" profile of MythTV.
 This package will install and configure all necessary packages for this machine
 to behave as a "Master" Backend for a mythtv network.  This package is intended
 to be installed on the machine that will behave as the first (and possibly
 only) backend for the network.  Typically, this package will be installed on a
 server rather then a desktop. It makes no sense to install it on anything but
 the first backend machine on the network.

Package: mythtv-dbg
Architecture: any
Section: debug
Priority: extra
Recommends: libc6-dbg
Depends: ${misc:Depends}, mythtv-backend (=${binary:Version}) | mythtv-frontend (=${binary:Version})
Description: Debug symbols for mythtv packages
 This package provides all debug symbols for mythtv packages since ddebs
 don't appear to always do the right thing.

=== debian/rules ===
#!/usr/bin/make -f

#For our custom rules on all mythtv packages
# get-orig-source
# info
# newest-revision
include debian/mythtv.make

#                                      #
# Architecture Independent Build flags #
#                                      #
CONFIGURE_OPTS +=   --compile-type=debug \
					--prefix=/usr \
					--runprefix=/usr \
					--enable-lirc \
					--enable-audio-alsa \
					--enable-audio-oss \
					--enable-audio-jack \
					--enable-dvb \
					--enable-ivtv \
					--enable-firewire \
					--enable-joystick-menu \
					--enable-opengl-vsync \
					--enable-libfaad \
					--with-bindings=perl \
					--enable-opengl-video \
					--enable-ffmpeg-pthreads \
					--perl-config-opts="INSTALLDIRS=vendor"

#                                    #
# Architecture dependent build flags #
#                                    #
DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
ifeq "$(DEB_BUILD_ARCH)" "i386"
	CONFIGURE_OPTS +=  --cpu=i686 --enable-mmx --enable-xvmc --enable-xvmc-vld --enable-xvmc-pro --enable-glx-procaddrarb --enable-vdpau
endif
ifeq "$(DEB_BUILD_ARCH)" "sparc"
	CONFIGURE_OPTS += --enable-xvmc --enable-xvmc-vld --enable-xvmc-pro --extra-cflags="-mcpu=ultrasparc -mvis"
endif
ifeq "$(DEB_BUILD_ARCH)" "amd64"
	CONFIGURE_OPTS += --enable-xvmc --enable-xvmc-vld --enable-xvmc-pro --enable-glx-procaddrarb --enable-vdpau
endif
ifeq "$(DEB_BUILD_ARCH)" "armel"
	CONFIGURE_OPTS += --enable-vdpau --extra-cflags="-marm -fPIC -DPIC"
endif
ifeq "$(DEB_BUILD_ARCH)" "powerpc"
	CONFIGURE_OPTS += --enable-altivec --extra-cxxflags="-maltivec"
endif

%:
	dh $@

override_dh_auto_configure:
	#update SVN REVISION to show the right version
	sed -i -e "s/^\(\(str  *\)\?SOURCE_VERSION\)=.*$$/\1=$(SVN_REVISION)/g;" version.sh

	#Run configure
	./configure $(CONFIGURE_OPTS)

override_dh_auto_build:
	qmake -o Makefile PREFIX=/usr mythtv.pro
	dh_auto_build --parallel

override_dh_auto_install:
	$(MAKE) install INSTALL_ROOT=$(CURDIR)/debian/tmp

	#Make sure python/perl scripts are executable
	find debian/tmp/usr/share -name "*.p[y|l]" -type f -exec chmod 755 {} \;

	#We replace these with shell scripts
	mv debian/tmp/usr/bin/mythfrontend debian/tmp/usr/bin/mythfrontend.real
	mv debian/tmp/usr/bin/mythtv-setup debian/tmp/usr/bin/mythtv-setup.real

override_dh_installinit:
	# The upstart script comes from contrib
	cp contrib/Linux/init_scripts/upstart.mythtv-backend.conf debian/mythtv-backend.upstart
	dh_installinit

	#Remove license files
	find debian/tmp -name "COPYING" -delete
	find debian/tmp -name "README.license" -delete

	#Set correct permissions for png and html files
	find debian/tmp -regex '.*\.png$$' -print0 | xargs -0 -r chmod 644
	find debian/tmp -regex '.*\.html$$' -print0 | xargs -0 -r chmod 644

override_dh_strip:
	dh_strip --dbg-package=mythtv-dbg

override_dh_makeshlibs:
	dh_makeshlibs -V -Xusr/lib/mythtv/filters

override_dh_compress:
	dh_compress -X.pl -X.py

override_dh_fixperms:
	dh_fixperms -X.pl -X.py
	#On karmic we don't necessarily have scripts set executable (due to non-v3)
	find debian -name "*.sh" -type f -exec chmod 755 {} \;

override_dh_auto_clean:
	dh_auto_clean
	rm -f config.ep
	rm -f config/*
	debconf-updatepo

override_dh_installdocs:
	dh_installdocs
	#Remove license files from contrib documentation.
	find debian/mythtv-backend/usr/share/doc/mythtv-backend/contrib \
		-name "COPYING" -delete

## mythtv 0.23.1+fixes26437

=== debian/changelog ===
mythtv (0.23.1+fixes26437-0ubuntu1) maverick; urgency=low

  * New snapshot, 26437.
  * Drop qt47_support.patch, newer, bigger, better version upstream.
  * Drop configure_missing_check, iz now upstream too.
  * Refresh fuzzy patches.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Thu, 23 Sep 2010 22:53:26 -0500

mythtv (0.23.1+fixes26192-0ubuntu1) maverick; urgency=low

  * New snapshot, 26192.
    - Fixes channel scan crashes (LP: #632756)

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Thu, 09 Sep 2010 23:41:28 -0500

mythtv (0.23.1+fixes26057-0ubuntu1) maverick; urgency=low

  * New snapshot, 26057.
  * Simplify the upstart script.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Sat, 04 Sep 2010 20:39:54 -0500

mythtv (0.23.1+fixes25842-0ubuntu2) maverick; urgency=low

  * Rebuild without accidentally added patch 
    debian-changes-0.23.1+fixes25842-0ubuntu1.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Wed, 25 Aug 2010 12:10:29 -0500

mythtv (0.23.1+fixes25842-0ubuntu1) maverick; urgency=low

  [ Thomas Mashos ]
  * Added libqt4-webkit-dev dependency to satisify maverick FTBFS
  * Moved backup and restore scripts to mythtv-common from mythtv-database
  * Added Replaces for mythtv-common (LP: 622983)

  [ Mario Limonciello ]
  * Add qt47_support.patch to fix FTBFS on Maverick.
  * Update checkout to r25842
  * Update to 0.23.1 based checkouts.
  * Reverse build depends for libjack to fix virtual packages problems.
  * Source debconf stuff in all scenarios for mythtv-common postinst.
  * Add configure_missing_check.patch to fix FTBFS on Maverick.
  * Only apply qt47_support.patch and missing_check.patch on Maverick
    to prevent potential issues on autobuilds for Lucid.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Wed, 25 Aug 2010 09:19:37 -0500

mythtv (0.23.0+fixes25138-0ubuntu1) maverick; urgency=low

  [ Mario Limonciello ]
  * new upstream checkout (25138)

  [ Thomas Mashos ]
  * Added missingok for mirobridge log in logrotate (LP: #581283)
  * Backend now waits for udev to finish (LP: #556204)
  * Added patch to properly detect dbus during compile (LP: #574877)

 -- Thomas Mashos <tgm4883@gmail.com>  Sat, 19 Jun 2010 23:11:04 -0700

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
                 ccache,
                 yasm,
                 libqt4-dev,
+                libqt4-webkit-dev | libqt4-dev (<< 4:4.7.0~beta1),
                 libqt4-opengl-dev,
                 libdvb-dev,
                 po-debconf,
@@ -32,7 +33,7 @@
                 libxext-dev | xlibs-static-dev (<< 6.8.1-1),
                 libimlib2-dev,
                 libasound2-dev,
-                libjack0.100.0-dev | libjack-dev,
+                libjack-dev | libjack0.100.0-dev,
                 libmp3lame-dev | liblame-dev,
                 libvorbis-dev,
                 libdts-dev,
@@ -81,7 +82,7 @@
 Depends: pwgen, adduser, mysql-client, ttf-freefont, ttf-liberation, ttf-droid, ttf-dejavu, ${shlibs:Depends}, ${misc:Depends}
 Suggests: mythtv-doc
 Conflicts: mythtv (<< 0.8-1), mythmusic (<< 0.20.99+trunk14393), mythweather (<< 0.20.99+trunk14393), mythcontrols, mythtv-theme-mythcenter, mythtv-theme-mythcenter-wide, mythtv-theme-gray-osd, mythtv-theme-isthmus
-Replaces: mythtv (<< 0.8-1), mythtv-frontend (<< 0.23.0~trunk23548), mythmusic (<< 0.20.99+trunk14393), mythweather (<< 0.20.99+trunk14393), mythcontrols (<< 0.20.trunk19500), mythcontrols, mythtv-theme-mythcenter, mythtv-theme-mythcenter-wide, mythtv-theme-isthmus, mythtv-theme-gray-osd, mythtv-theme-mythbuntu, mythtv-backend (<< 0.23.0~trunk23549)
+Replaces: mythtv (<< 0.8-1), mythtv-frontend (<< 0.23.0~trunk23548), mythmusic (<< 0.20.99+trunk14393), mythweather (<< 0.20.99+trunk14393), mythcontrols (<< 0.20.trunk19500), mythcontrols, mythtv-theme-mythcenter, mythtv-theme-mythcenter-wide, mythtv-theme-isthmus, mythtv-theme-gray-osd, mythtv-theme-mythbuntu, mythtv-backend (<< 0.23.0~trunk23549), mythtv-database (<< 0.23.1+fixes25610)
 Description: A personal video recorder application (common data)
  MythTV provides a unified graphical interface for recording and viewing
  television programs. Refer to the mythtv package for more information.

=== debian/rules ===
--- 
+++ 
@@ -47,6 +47,7 @@
 	CONFIGURE_OPTS += --enable-altivec --extra-cxxflags="-maltivec"
 endif
 
+
 %:
 	dh $@
 
@@ -73,7 +74,7 @@
 
 override_dh_installinit:
 	# The upstart script comes from contrib
-	cp contrib/Linux/init_scripts/upstart.mythtv-backend.conf debian/mythtv-backend.upstart
+#	cp contrib/Linux/init_scripts/upstart.mythtv-backend.conf debian/mythtv-backend.upstart
 	dh_installinit
 
 	#Remove license files

## mythtv 0.23.1+fixes26437-0ubuntu1trisquel1

=== debian/changelog ===
mythtv (0.23.1+fixes26437-0ubuntu1trisquel1) slaine; urgency=low

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 26 May 2011 18:27:12 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: mythtv
 Section: graphics
 Priority: optional
-Maintainer: MythTV Ubuntu Maintainers <ubuntu-mythtv@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Uploaders: Mario Limonciello <superm1@ubuntu.com>,
            Andres Mejia <mcitadel@gmail.com>,
 Homepage: http://www.mythtv.org
